org.apache.felix.scr.annotations

## Enum PropertyUnbounded

- java.lang.Object
- - java.lang.Enum<PropertyUnbounded>
  - - org.apache.felix.scr.annotations.PropertyUnbounded

All Implemented Interfaces:
  Serializable, Comparable<PropertyUnbounded>

Deprecated.
Use the OSGi annotations from org.osgi.service.component.annotations.*

    @Deprecated
    public enum PropertyUnbounded
    extends Enum<PropertyUnbounded>

Options for `Property.unbounded()` property.

Since:
  1.4

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY` Deprecated. Property is an unbounded array.
`DEFAULT` Deprecated. Property is not unbounded.
`VECTOR` Deprecated. Property is an unbounded vector.

### Method Summary

Methods
`static PropertyUnbounded` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static PropertyUnbounded[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final PropertyUnbounded DEFAULT

Deprecated.
Property is not unbounded. This is the default.

#### ARRAY

    public static final PropertyUnbounded ARRAY

Deprecated.
Property is an unbounded array.

#### VECTOR

    public static final PropertyUnbounded VECTOR

Deprecated.
Property is an unbounded vector.

### Method Detail

#### values

    public static PropertyUnbounded[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyUnbounded c : PropertyUnbounded.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyUnbounded valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null